################################################
# ISPConfig Logfile configuration for vlogger
################################################

LogFormat "%v %h %l %u %t \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" combined_ispconfig
CustomLog "| /usr/local/ispconfig/server/scripts/vlogger -s access.log -t \"%Y%m%d-access.log\" /var/log/ispconfig/httpd" combined_ispconfig

<Directory /var/www/clients>
    AllowOverride None
		Order Deny,Allow
	Deny from all
	</Directory>

# Do not allow access to the root file system of the server for security reasons
<Directory />
	Options -Indexes
    AllowOverride None
		Order Deny,Allow
	Deny from all
	</Directory>

<Directory /var/www/conf>
    AllowOverride None
		Order Deny,Allow
	Deny from all
	</Directory>

# Except of the following directories that contain website scripts
<Directory /usr/share/phpmyadmin>
		        Order allow,deny
        Allow from all
		</Directory>

<Directory /usr/share/phpMyAdmin>
		        Order allow,deny
        Allow from all
		</Directory>

<Directory /srv/www/htdocs>
		        Order allow,deny
        Allow from all
		</Directory>

<Directory /usr/share/squirrelmail>
		        Order allow,deny
        Allow from all
		</Directory>

# Allow access to mailman on OpenSuSE
<Directory /usr/lib/mailman/cgi-bin>
		        Order allow,deny
        Allow from all
		</Directory>

<Directory /usr/lib/mailman/icons>
		        Order allow,deny
        Allow from all
		</Directory>

<Directory /var/lib/mailman/archives/>
        Options +FollowSymLinks
		        Order allow,deny
        Allow from all
		</Directory>

# allow path to awstats and alias for awstats icons
<Directory /usr/share/awstats>
		        Order allow,deny
        Allow from all
		</Directory>

Alias /awstats-icon "/usr/share/awstats/icon"

NameVirtualHost *:80
NameVirtualHost *:443

